<template>
  <div>
    <div class="footer_style" v-if="data.section_footer">
      <div class="container">
        <!-- Logo -->
        <div class="row p-0">
          <div class="col-sm-4 mt-5" v-if="data.section_footer.logo_footer">
            <img
              class="img-fluid"
              :src="data.section_footer.logo_footer.value"
            />
            <p class="mt-4 footer_font">
              {{ data.section_footer.description.value }}
            </p>
            <img
              class="img-fluid"
              :src="data.section_footer.icon_footer.value"
            />
          </div>
          <!-- TAG -->
          <div class="col-sm-4 mt-5" v-if="data.section_footer.tag_text_footer">
            <h4>{{ data.section_footer.tag_text_footer.value }}</h4>
            <div class="row p-0">
              <div
                class="col-sm-4-il"
                v-if="data.section_footer.tag_footer_sport"
              >
                <img
                  class="img-fluid"
                  :src="data.section_footer.tag_footer_sport.value"
                />
                <img
                  class="img-fluid"
                  :src="data.section_footer.tag_footer_casino.value"
                />
                <img
                  class="img-fluid"
                  :src="data.section_footer.tag_footer_slot.value"
                />
              </div>
            </div>
            <div class="row p-0">
              <div
                class="col-sm-4-il"
                v-if="data.section_footer.tag_footer_horse"
              >
                <div class="mt-2">
                  <img
                    class="img-fluid"
                    :src="data.section_footer.tag_footer_horse.value"
                  />
                  <img
                    class="img-fluid"
                    :src="data.section_footer.tag_footer_esport.value"
                  />
                  <img
                    class="img-fluid"
                    :src="data.section_footer.tag_footer_fishing.value"
                  />
                </div>
              </div>
            </div>
          </div>
          <!-- description -->
          <div class="col-sm-4 mt-5" v-if="data.section_footer.payment_method">
            <h4>{{ data.section_footer.payment_method.value }}</h4>
            <div class="row p-0">
              <div
                class="col-sm-1-li"
                v-if="data.section_footer.contact_footer"
              >
                <div class="mt-2">
                  <img :src="data.section_footer.contact_footer.value" />
                </div>
                <div class="mt-4" v-if="data.section_footer.contact_us">
                  <h4>{{ data.section_footer.contact_us.value }}</h4>
                </div>
                <div class="row p-0">
                  <div class="col-sm-1-li">
                    <div class="mt-2">
                      <p>
                        <img :src="data.section_footer.line_footer.value" />
                        &nbsp; {{ data.section_footer.line_contact.value }}
                      </p>
                      <p class="margin-top">
                        {{ data.section_footer.line_description.value }}
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- Divider -->
          <hr
          class="divider_footer"
          />
          <div class="mt-4 mt-3 mb-3" v-if="data.section_footer.copy_right">
            <h3 class="text-center">
              {{ data.section_footer.copy_right.value }}
            </h3>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      data: {
        section_footer: [],
      },
      isloadding: false,
    };
  },
  async beforeMount() {
    this.GetData();
  },
  methods: {
    isFormat(temp, current) {
      for (let key in temp) {
        if (!Object.keys(current).includes(key)) {
          return false;
        }
      }
      return true;
    },
    async addStyle() {
      for (const [key, v] of Object.entries(this.data)) {
        if (typeof v === "object") {
          for (const [k, val] of Object.entries(v)) {
            if (val.type == "color") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                val.value
              );
            } else if (val.type == "image") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                `url(${val.value})`
              );
            }
          }
        }
      }
    },
    async GetData() {
      try {
        // const url = "http://" + window.location.host + "/get.php";
        // let {data} = await this.$axios.get('/get.php?code_name='+md5);
        this.isloadding = true;
        let { data } = await this.$axios.get("/get_winbet97.json");

        // let { data } = await this.$axios.get(
        //   "https://admin-static-api-ehhif4jpyq-as.a.run.app/api/Static/ab1e389ef2852fb41d6d3c68fb252370"
        // );

        this.data = await this.mapSectionData(data);
        if (this.data) {
          this.addStyle();
        }
        this.componentKey += 1;
        this.isloadding = false;

        // console.log("this.isloadding ", this.isloadding);
        return true;
      } catch (error) {
        console.log(error);
        const { response } = error;
        if (response) {
          const { status } = response;
          if (!status) {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            return false;
          } else if (status === 200) {
            console.log("Error is ok");
          } else if (status === 404) {
            this.$router.push({
              path: "/404",
              query: { message: response.data.message },
            });
            console.log("is invalid or not found");
            // this.$swal("is invalid or not found");
            return false;
          } else {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            // console.log(" is under maintainance with custom message");
            // this.$swal("is under maintainance with custom message");
            return false;
          }
        } else {
          console.log(error);
          this.$router.push({
            path: "/400",
            query: { message: "server is not responding" },
          });
          // this.$swal("is invalid or not found 3");
          return false;
        }

        // console.log("500");
      }
    },

    mapSectionData(data) {
      for (let key in data) {
        if (typeof data[key] === "object") {
          data[key] = data[key].reduce(function (map, value) {
            map[value.name] = value;
            return map;
          }, {});
        }
      }
      return data;
    },
  },
};
</script>
